Subject: bug#8368: 24.0.50; "temp" means "help" - rename or at least document

From: martin rudalics <[email-masked]>
Date: Sun, 29 Apr 2012 12:40:56 +0200

> What is important to me is that we distinguish the two (or more) so that
 > programmers at least have a simple, clean way to display something in a
 > temporary buffer with no supposition that that buffer should also be a help
 > buffer.  I.e., without removing and re-adding the help-mode hooks.

You don't have to remove and re-add any hooks.  It's sufficient to turn
off help mode in the body of `with-output-to-temp-buffer'.  Similarly,
if you don't want to run `completion-list-mode-finish', turn off
`completion-list-mode' in the buffer.

 > Probably we will need to leave the original name for the current behavior, but
 > if it could be aliased to something with "help" in the name, and then the
 > original name deprecated, that would be better.  (I think that's part of what
 > you suggest.)  And create a new name for the temp-without-the-help-stuff case.

Basically, `with-output-to-temp-buffer' is a misnomer.  The buffer is not
necessarily temporary, hence `with-output-temporarily-bound-to-buffer'
would be a better name for this.  In addition, it displays the buffer in
some window and this is not reflected in the name.

martin